.hero {
  position: relative;
  color: #fff;
  padding: 60px 0;
  overflow: hidden;
  /* Используем фоновое изображение */
  background-image: url("../assets/img/main-bg.png");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-position: -400px center;
}

.hero__btn:hover {
  background: #45a049;
}

.hero__slider {
  position: relative;
  width: 100%;
  height: 100%;
}

.hero__slide {
  display: none;
  animation: fade 0.7s ease-in-out;
}

.hero__slide.active {
  display: block;
}

.hero__slide .container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  min-height: 400px; /* Зададим минимальную высоту для слайда */
}

.hero__content {
  max-width: 500px;
  z-index: 5; /* Ставим контент выше псевдо-элементов */
}

.hero__label {
  display: inline-block;
  padding: 5px 15px;
  border: 1px solid rgba(255, 255, 255, 0.8);
  border-radius: 15px;
  font-size: 14px;
  margin-bottom: 20px;
}

.hero__title {
  font-size: 48px;
  font-weight: bold;
  margin-bottom: 20px;
}

.hero__text {
  font-size: 18px;
  margin-bottom: 30px;
  line-height: 1.5;
}

.hero__btn {
  display: inline-flex;
  align-items: center;
  background-color: #4caf50;
  color: #fff;
  padding: 15px 30px;
  border-radius: 30px;
  text-decoration: none;
  font-weight: bold;
  transition: background-color 0.3s;
}

.hero__btn:hover {
  background-color: #45a049;
}

.hero__btn img {
  margin-left: 10px;
}

.hero__image img {
  max-width: 550px;
  height: auto;
  max-height: 370px;
}

.hero__nav {
  position: absolute;
  top: 50%;
  left: 0;
  right: 0;
  transform: translateY(-50%);
  max-width: 1370px;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  padding: 0 20px;
  box-sizing: border-box;
  z-index: 10;
}

.hero__nav-arrow {
  cursor: pointer;
  background: rgba(0, 0, 0, 0.2);
  width: 40px;
  height: 40px;
  border-radius: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: background-color 0.3s;
}

.hero__nav-arrow:hover {
  background: rgba(0, 0, 0, 0.4);
}

.hero__dots {
  position: absolute;
  bottom: 30px;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  gap: 12px;
  z-index: 10; /* Устанавливаем z-index, чтобы точки были видны */
}

.hero__dot {
  width: 6px;
  height: 6px;
  background-color: rgba(195, 195, 195, 0.4);
  border-radius: 50%;
  cursor: pointer;
  transition: background-color 0.3s;
}

.hero__dot.active {
  background-color: rgba(82, 204, 115, 1);
  width: 8px;
  height: 8px;
}

@keyframes fade {
  from {
    opacity: 0.4;
  }
  to {
    opacity: 1;
  }
}

@media (max-width: 576px) {
  .hero__nav {
    display: none;
  }
  .hero {
    padding-top: 0px;
  }

  .hero__title {
    font-family: Onest;
    font-weight: 600;
    font-style: SemiBold;
    font-size: 28px;
    leading-trim: NONE;
    line-height: 110.00000000000001%;
    letter-spacing: 0%;
  }

  .hero__text {
    font-family: Onest;
    font-weight: 400;
    font-style: Regular;
    font-size: 14px;
    leading-trim: NONE;
    line-height: 140%;
    letter-spacing: 0%;
  }

  .hero__image img {
    max-width: 270px;
  }
}
